<?php

/**
 * @file
 * Contains \Drupal\publish_away\Plugin\Field\FieldFormatter\PublishAwayDefaultFormatter.
 */

namespace Drupal\publish_away\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'telephone_link' formatter.
 *
 * @FieldFormatter(
 *   id = "publish_away_default_formatter",
 *   label = @Translation("Default"),
 *   field_types = {
 *     "publish_away"
 *   }
 * )
 */
class PublishAwayDefaultFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, array &$form_state) {
    $elements['title'] = array(
      '#type' => 'markup',
      '#markup' => t('This field will not be displayed on the view page content.'),
    );

    return $elements;
  }

  /**
   * {@inheritdoc}
   */
  public function settingsSummary() {
    $summary = array();
    $summary[] = t('This field will not be displayed on the view page content.');

    return $summary;
  }

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items) {
    $element = array();

    foreach ($items as $delta => $item) {
      // Render each element as empty value.
      $element[$delta] = array();
    }

    return $element;
  }
}
